UMB(4)

NAME
umb - USB Mobile Broadband Interface Model (MBIM)

SYNOPSIS
umb* at uhub? port?

DESCRIPTION
The umb driver provides support for USB MBIM devices.

MBIM devices establish connections via cellular networks such as GPRS, UMTS, and LTE. They appear as a regular point-to-point network interface, transporting raw IP frames.

Required configuration parameters like PIN and APN have to be set with umbctl(8). Once the SIM card has been unlocked with the correct PIN, it will remain in this state until the MBIM device is power-cycled. In case the device is connected to an "always-on" USB port, it may be possible to connect to a provider without entering the PIN again even if the system was rebooted.

HARDWARE
The following devices should work:

Ericsson H5321gw and N5321gw
Fibocom L831-EAU
Medion Mobile S4222 (MediaTek OEM)
Sierra Wireless EM7345
Sierra Wireless EM7455
Sierra Wireless EM8805
Sierra Wireless MC8305

SEE ALSO
intro(4), netintro(4), usb(4), ifconfig.if(5), ifconfig(8), umbctl(8) Universal Serial Bus Communications Class Subclass Specification for Mobile Broadband Interface Model, http://www.usb.org/developers/docs/devclass_docs/MBIM10Errata1_073013.zip.

HISTORY
The umb device driver first appeared in OpenBSD 6.0 and NetBSD 9.0.

AUTHORS
-nosplit The umb driver was written by Gerhard Roth <gerhard@openbsd.org> and ported from OpenBSD by Pierre Pronchery <khorben@defora.org>.

CAVEATS
The umb driver does not support IPv6.

Devices which fail to provide a conforming MBIM implementation will probably be attached as some other driver, such as u3g(4).